<?php

/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package mr-gutter-ltd
 */

$year = date('Y');
$sitename = get_bloginfo('name');
$copyright_prefix	= get_field("copyright_prefix","option");
$copyright_suffix	= get_field("copyright_suffix","option");
?>

<!-- Footer Start -->
<footer id="colophon" class="site-footer">
	<div class="container">
		<div class="footer-top">
			<div class="footer-menu-social-wp">
				<div class="footer-menu">
					<?php
					wp_nav_menu(
						array(
							'theme_location' => 'footer-menu'
						)
					); ?>
				</div>
				<?php
				//Social Media Section - this code exists in functions.php
				if(function_exists("social_media_info")):
					echo social_media_info(); 
				endif;?>
			</div>
			<div class="footer-about">
				<div class="row">
					<div class="col-lg-4">
						<div class="footer-details">
							<div class="footer-logo">
								<?php the_custom_logo(); ?>
							</div>
							<?php 
							$footer_content	= get_field("footer_content","option");
							if(!empty($footer_content)):?>
								<div class="footer-about-text">
									<?php echo wp_kses_post($footer_content); ?>
								</div>
							<?php
							endif;?>
						</div>
					</div>
					<div class="col-lg-8">
						<div class="footer-contact-info contact-info">
						<?php
						//Contact Info Section - this code exists in functions.php
						if(function_exists("contact_info")):
							echo contact_info(); 
						endif;?>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<div class="footer-bottom-box">
		<div class="container">
			<div class="row align-items-center">
				<div class="col-12">
					<div class="footer-bottom-text">
						<?php 
						if(!empty($year) && !empty($sitename) && !empty($copyright_prefix) && !empty($copyright_suffix)): ?>
							<div class="copy-right">
								<p><?php echo esc_html($copyright_prefix); ?> <?php echo date('Y'); ?> <?php echo get_bloginfo('name'); ?><?php echo esc_html($copyright_suffix); ?></p>
							</div>
							<?php
						endif;?>
						<div class="footer-bottom-link">
							<?php
							wp_nav_menu(
								array(
									'theme_location' => 'policies-menu'
								)
							); ?>
						</div>
					</div>
				</div>
			</div>
			<div class="row">
                <?php
                $seo_footer_button_text = get_field("seo_button_text_footer", "option");
                if (is_page_template('template-seo.php') || is_archive() || is_author() || is_category() || is_home() || is_single() || is_tag()) { ?>
                    <div class="col-lg-12">
                        <div class="footer-last">
                            <?php
                            if (!empty($seo_footer_button_text)) { ?>
                                <span class="view_services_text" id="view_all_services" title="<?php echo esc_attr($seo_footer_button_text); ?>"><?php echo esc_html($seo_footer_button_text); ?></span>
                            <?php
                            }
                            ?>
                            <div class="all-services">
                                <?php
                                wp_nav_menu(array(
                                    'theme_location' => 'seo-menu',
                                ));
                                ?>
                            </div>
                        </div>
                    </div>
                <?php
                } ?>
            </div>
		</div>
	</div>
</footer>
<!-- Footer End -->

<!-- Scroll To Top Start -->
<button type="button" id="scrollToTop" class="scrolltop" name="Back To Top"><i class="fas fa-chevron-up"></i></button>
<!-- Scroll To Top End -->

</div><!-- #page -->

<?php
$frm_title	= get_field("request_quote_form_title","option");
$form = get_field('header_button_link', 'option');
if (!empty($form)) :
?>
<!-- Modal Start -->
<div class="modal common-popup" id="get-an-estimate">
	<div class="modal-dialog">
		<div class="modal-content">
			<?php 
			if(!empty($frm_title)): ?>
				<div class="popup-title">
					<h2 class="h2-title"><?php echo esc_html($frm_title); ?></h2>
					<button type="button" class="close close-popup" name="Close Popup" data-bs-dismiss="modal"><i class="fas fa-times"></i></button>
				</div>
				<?php
			endif; ?>
			<div class="common-popup-overflow">
				<div class="common-popup-text" data-simplebar>
					<div class="contact-form" id="cf7-select-add-color">
						<?php echo do_shortcode('[contact-form-7 id="' . $form->ID . '" title="' . $form->post_title . '"]'); ?>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<!-- Modal End -->
<?php
endif;?>

<?php wp_footer(); ?>

</body>

</html>


