<?php

/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package mr-gutter-ltd
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>

<head>
	<meta charset="<?php bloginfo('charset'); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">
	<link rel="preload" href="<?php echo get_template_directory_uri(); ?>/assets/fonts/PlusJakartaSans-SemiBold.woff2" as="font" type="font/woff2" crossorigin>
	<link rel="preload" href="<?php echo get_template_directory_uri(); ?>/assets/fonts/PlusJakartaSans-Regular.woff2" as="font" type="font/woff2" crossorigin>
	<link rel="preload" href="<?php echo get_template_directory_uri(); ?>/assets/fonts/PlusJakartaSans-Medium.woff2" as="font" type="font/woff2" crossorigin>
	<link rel="preload" href="<?php echo get_template_directory_uri(); ?>/assets/fonts/PlusJakartaSans-Bold.woff2" as="font" type="font/woff2" crossorigin>

	<?php wp_head(); ?>
	
<script>
  window.markerConfig = {
    project: '67a0e6a60c7e959e1ca1da5e', 
    source: 'snippet'
  };

  !function(e,r,a){if(!e.__Marker){e.__Marker={};var t=[],n={__cs:t};["show","hide","isVisible","capture","cancelCapture","unload","reload","isExtensionInstalled","setReporter","clearReporter","setCustomData","on","off"].forEach(function(e){n[e]=function(){var r=Array.prototype.slice.call(arguments);r.unshift(e),t.push(r)}}),e.Marker=n;var s=r.createElement("script");s.async=1,s.src="https://edge.marker.io/latest/shim.js";var i=r.getElementsByTagName("script")[0];i.parentNode.insertBefore(s,i)}}(window,document);
</script>

</head>

<body <?php body_class(); ?>>
	<?php wp_body_open(); ?>
	<div id="page" class="site">

		<!-- Header Start -->
		<header id="masthead" class="site-header">
			<div class="container">
				<div class="row">
					<div class="col-lg-3">
						<div class="site-branding">
							<?php the_custom_logo(); ?>
						</div>
					</div>
					<div class="col-lg-9">
						<div class="header-menu">
							<nav id="site-navigation" class="main-navigation">
								<button class="menu-toggle" type="button" aria-controls="menu-header-menu" aria-expanded="false">
									<span></span>
									<span></span>
								</button>
								<div class="header-mobile-menu">
									<?php
									wp_nav_menu(
										array(
											'theme_location' => 'header-menu',
										)
									);
									?>
									<?php
									$hd_btn_text = get_field('header_button_text', 'option');
									$hd_form = get_field('header_button_link', 'option');
									if (!empty($hd_btn_text) && !empty($hd_form)) :
									?>
										<div class="header-btn">
											<button data-bs-target="#get-an-estimate" class="sec-btn sm-btn" data-bs-toggle="modal" title="<?php echo esc_attr(ucfirst($hd_btn_text)); ?>"><?php echo esc_html(ucfirst($hd_btn_text)); ?>
											</button>
										</div>
									<?php endif; ?>
								</div>
							</nav>
						</div>
					</div>
				</div>
			</div>
		</header>