<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package mr-gutter-ltd
 */

get_header();

$blog_title = get_the_title(get_option('page_for_posts', true));
$posts_per_page = get_option('posts_per_page');
$published_posts = wp_count_posts('post')->publish;
$total_pages = ceil($published_posts / $posts_per_page);?>

<!-- Inner Banner Start -->
<?php get_template_part('template-parts/global/content', 'common-banner'); ?>
<!-- Inner Banner End -->
 
<section class="blog-sec py-120">
<div class="container">
	<div class="row blog-row">
		<?php
		if(have_posts()){
			/* Start the Loop */
			while ( have_posts() ) :
				the_post();
				?>
				<div class="col-lg-4 col-md-6">
					<?php get_template_part( 'template-parts/content', get_post_type() ); ?>
				</div>
				<?php
			endwhile;
		}else{
			get_template_part( 'template-parts/content', 'none' );
		}	
		?>
	</div>
	<?php 
	if($total_pages > 1 && have_posts()): ?>
		<div class="load-more">
			<div class="load-more-btn">
				<button class="sec-btn outline-btn blog-load-btn" title="Load More" data-page="1" data-posts-show="<?php echo $posts_per_page; ?>" data-total-pages="<?php echo $total_pages; ?>">Load More</button>
				<i class="fas fa-spinner fa-spin" style="display: none;"></i>
			</div>
		</div>
		<?php
	endif;?>
</div>
</section>
<?php
get_footer();
?>