<?php
/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package mr-gutter-ltd
 */

get_header();
global $wp_query;
$posts_per_page = get_option('posts_per_page');
$published_posts = $wp_query->found_posts; 
$total_pages = ceil($published_posts / $posts_per_page); // Calculate
?>
<!-- Banner Start -->
<section class="inner-banner">
	<div class="container">
		<div class="row">
			<div class="col-lg-12">
				<div class="banner-content white-text">
					<h1 class="h1-title"><?php printf( esc_html__( 'Search Results for: %s', 'mr-gutter-ltd' ), '<span>' . get_search_query() . '</span>' ); ?></h1>
				</div>
			</div>
		</div>
	</div>
</section>
<!-- Banner End -->
<div class="inner-page-text">
	<div class="container">
		<div class="row blog-row">
			<?php
			if(have_posts()){
				/* Start the Loop */
				while (have_posts() ) :
					the_post();
					?>
				<div class="col-lg-4 col-md-6">
					<?php get_template_part( 'template-parts/content', 'search' ); ?>
				</div>
				<?php
				endwhile;
			}else{
				get_template_part( 'template-parts/content', 'none' );
			}	?>
        </div>
		<?php 
		if($total_pages > 1 && have_posts()): ?>
			<div class="load-more">
				<div class="load-more-btn">
					<button class="sec-btn outline-btn blog-load-btn" title="Load More" data-page="1" data-posts-show="<?php echo $posts_per_page; ?>" data-total-pages="<?php echo $total_pages; ?>">Load More</button>
					<i class="fas fa-spinner fa-spin" style="display: none;"></i>
				</div>
			</div>
			<?php
		endif;?>
    </div>
</div>  	
<?php
get_footer();
