<?php 
$home_banner    = get_field("home_banner");
$primary_phone_number_prefix    = get_field("primary_phone_number_prefix","option");
$pr_phone_number    = get_field("pr_phone_number","option");
$header_button_text = get_field("header_button_text","option");
$header_button_link = (get_field("header_button_link","option")) ? get_field("header_button_link","option") : "#";
if(!empty($home_banner)): 
    $home_banner_title  = (!empty($home_banner['home_banner_title'])) ? $home_banner['home_banner_title'] : "";
    $home_banner_content  = (!empty($home_banner['home_banner_content'])) ? $home_banner['home_banner_content'] : "";
    $home_banner_images  = (!empty($home_banner['home_banner_images'])) ? $home_banner['home_banner_images'] : [];
    if(!empty($primary_phone_number_prefix) || !empty($pr_phone_number) || !empty($header_button_text) || !empty($home_banner_title) || !empty($home_banner_content) || !empty($home_banner_images)): ?>
        <!-- Main Banner Start -->
        <section class="main-banner">
            <div class="main-banner-top">
                <div class="container">
                    <div class="row">
                        <?php 
                        if(!empty($home_banner_title)):?>
                            <div class="col-lg-6">
                                <div class="main-banner-title wow fadeup-animation">
                                    <h1 class="h1-title"><?php echo esc_html($home_banner_title); ?></h1>
                                </div>
                            </div>
                            <?php
                        endif; 
                        if(!empty($home_banner_content) || !empty($primary_phone_number_prefix) || !empty($pr_phone_number) || !empty($header_button_text)): ?>
                            <div class="col-lg-6">
                                <div class="main-banner-content wow fadeup-animation">
                                    <?php 
                                    if(!empty($home_banner_content)):?>
                                        <div class="body-lg">
                                            <?php echo wp_kses_post($home_banner_content); ?>
                                        </div>
                                    <?php
                                    endif;?>
                                    <div class="banner-btn">
                                        <?php 
                                        if(!empty($primary_phone_number_prefix) && !empty($pr_phone_number)): ?>
                                            <a href="<?php echo esc_attr($pr_phone_number['url']); ?>" title="<?php echo esc_html($primary_phone_number_prefix." ".$pr_phone_number['title']); ?>" class="sec-btn"><?php echo esc_html($primary_phone_number_prefix); ?>&nbsp;<span class="callus"><?php echo esc_html($pr_phone_number['title']); ?></span></a>
                                            <?php
                                        endif; ?>
                                    </div>
                                </div>
                            </div>
                            <?php
                        endif; ?>
                    </div>
                </div>
            </div>
            <?php 
            if(!empty($home_banner_images)): ?>
                <div class="main-banner-slider-wp wow fadeup-animation" data-wow-delay="0.2s">
                    <div class="main-banner-slider">
                        <?php 
                        foreach($home_banner_images as $image): 
                            if(!empty($image)): ?>
                                <div class="banner-slider-box">
                                    <div class="banner-slider-image back-img" style="background-image: url('<?php echo esc_url($image); ?>');"></div>
                                </div>
                                <?php
                            endif;
                        endforeach; ?>
                    </div>
                </div>
            <?php 
            endif;?>
        </section>
        <!-- Main Banner End -->
    <?php
    endif;
endif; ?>

<?php get_template_part( 'template-parts/global/content', 'common-layout' ); ?>

<?php 
$home_about_us  = get_field("home_about_us");
if(!empty($home_about_us)):  
    $home_abt_title = (!empty($home_about_us['home_about_title'])) ? $home_about_us['home_about_title'] : "";
    $home_abt_stitle = (!empty($home_about_us['home_about_sub_title'])) ? $home_about_us['home_about_sub_title'] : "";
    $home_abt_ads_title = (!empty($home_about_us['home_about_add_sub_title'])) ? $home_about_us['home_about_add_sub_title'] : "";
    $home_abt_btn_txt = (!empty($home_about_us['home_about_btn_text'])) ? $home_about_us['home_about_btn_text'] : "";
    $home_abt_btn_lk = (!empty($home_about_us['home_about_btn_link'])) ? $home_about_us['home_about_btn_link'] : "";
    $home_abt_image = (!empty($home_about_us['home_about_image'])) ? $home_about_us['home_about_image'] : "";
    $home_abt_content = (!empty($home_about_us['home_about_content'])) ? $home_about_us['home_about_content'] : "";
    if(!empty($home_abt_title) || !empty($home_abt_stitle) || !empty($home_abt_ads_title) || !empty($home_abt_content) || !empty($home_abt_btn_txt) || !empty($home_abt_btn_lk)): ?>
        <!-- About Section Start -->
        <section class="about-sec py-130">
            <div class="container">
                <div class="row">
                    <?php 
                    if(!empty($home_abt_title) || !empty($home_abt_stitle) || !empty($home_abt_ads_title)): ?>
                        <div class="col-lg-6">
                            <div class="about-title-wp wow fadeup-animation">
                                <div class="sec-title">
                                    <?php
                                    if(!empty($home_abt_stitle)):?>
                                        <span class="sub-title"><?php echo esc_html($home_abt_stitle); ?></span>
                                        <?php
                                    endif; ?>
                                    <?php
                                    if(!empty($home_abt_title)):?>
                                        <div class="white-text">
                                            <h2 class="h2-title"><?php echo esc_html($home_abt_title); ?></h2>
                                        </div>
                                        <?php
                                    endif; ?>
                                </div>
                                <?php
                                if(!empty($home_abt_ads_title)):?>
                                    <div class="body-lg white-text">
                                        <p><?php echo esc_html($home_abt_ads_title); ?></p>
                                    </div>
                                    <?php
                                endif; ?>
                            </div>
                        </div>
                        <?php
                    endif;
                    if(!empty($home_abt_content) || !empty($home_abt_btn_txt) || !empty($home_abt_btn_lk)): ?>
                        <div class="col-lg-6">
                            <div class="about-content-box wow fadeup-animation">
                                <?php 
                                if(!empty($home_abt_content)): ?>
                                    <div class="about-description-text">
                                        <?php echo wp_kses_post($home_abt_content); ?>
                                    </div>
                                    <?php
                                endif;
                                if(!empty($home_abt_btn_txt) && !empty($home_abt_btn_lk)): ?>
                                    <div class="about-content-btn">
                                        <a href="<?php echo esc_url($home_abt_btn_lk); ?>" class="sec-btn white-btn" title="<?php echo esc_attr(ucfirst($home_abt_btn_txt).", ".ucfirst($home_abt_stitle)); ?>"><?php echo esc_html($home_abt_btn_txt); ?></a>
                                    </div>
                                    <?php
                                endif;?>
                            </div>
                        </div>
                        <?php
                    endif;?>
                </div>
                <?php 
                if(!empty($home_abt_image)): ?>
                    <div class="row">
                        <div class="col-lg-12 wow fadeup-animation" data-wow-delay="0.2s">
                            <div class="about-image-box">
                                <div class="back-img" style="background-image: url('<?php echo esc_url($home_abt_image); ?>');"></div>
                            </div>
                        </div>
                    </div>
                    <?php
                endif;?>
            </div>
        </section>
        <!-- About Section End -->
        <?php   
    endif;
endif;?>

<?php 
$home_other_services = get_field("home_other_services");
if(!empty($home_other_services)):
    $home_oser_title = (!empty($home_other_services['home_other_services_title'])) ? $home_other_services['home_other_services_title'] : "";
    $home_oser_cnt = (!empty($home_other_services['home_other_services_content'])) ? $home_other_services['home_other_services_content'] : "";
    $home_oser_details = (!empty($home_other_services['home_other_services_details'])) ? $home_other_services['home_other_services_details'] : [];
    if(!empty($home_oser_title) || !empty($home_oser_cnt) || !empty($home_oser_details)): ?>
        <!-- Services Benefits Section Start -->
        <section class="services-benefits-sec sec-bg py-120">
            <div class="container">
                <?php 
                if(!empty($home_oser_title) || !empty($home_oser_cnt)): ?>
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="common-sec-title text-center wow fadeup-animation">
                                <?php 
                                if(!empty($home_oser_title)): ?>
                                    <h2 class="h2-title"><?php echo esc_html($home_oser_title); ?></h2>
                                    <?php
                                endif;
                                if(!empty($home_oser_cnt)): ?>
                                    <div class="body-lg">
                                        <?php echo wp_kses_post($home_oser_cnt); ?>
                                    </div>
                                    <?php
                                endif; ?>
                            </div>
                        </div>
                    </div>
                    <?php 
                endif; 
                // Remove empty elements
                $filtered_data = array_values(array_filter($home_oser_details, function ($item) {
                    return !empty($item['title']) || !empty($item['image']) || !empty($item['content']);
                }));
                if(isset($filtered_data) && !empty($filtered_data)): ?>
                    <div class="benefits-row-wp"> 
                        <?php 
                        $offset = 3; 
                        $chunks = array_chunk($filtered_data, $offset); // split into two arrays
                        $index = 0; // index to track even/odd rows

                        foreach ($chunks as $chunk):
                            // Add 'even' class dynamically for alternating rows
                            $row_class = ($index % 2 == 1) ? 'even' : '';
                            echo '<div class="benefits-row wow fadeup-animation ' . esc_attr($row_class) . '">';
                            
                            foreach ($chunk as $data) :
                                $d_title = $data['title'] ? $data['title'] : "";
                                $d_image = $data['image'] ? $data['image'] : "";
                                $d_content = $data['content'] ? $data['content'] : "";
                                if(!empty($d_title) || !empty($d_image) || !empty($d_content)): ?>
                                    <div class="benefits-box back-img" <?php echo ($d_image) ? "style='background-image: url(".esc_url($d_image).");'" : ""; ?>>
                                        <div class="benefits-content white-text">
                                            <?php 
                                            if(!empty($d_title)): ?>
                                                <h3 class="h3-title"><?php echo esc_html($d_title); ?></h3>
                                                <?php
                                            endif; 
                                            if(!empty($d_content)): ?>
                                                <div class="benefits-description-text">
                                                    <?php echo wp_kses_post($d_content); ?>
                                                </div>
                                                <?php
                                            endif;?>
                                        </div>
                                    </div>
                                    <?php
                                endif;
                            endforeach;
                            echo '</div>'; // Close row
                            $index++; 
                        endforeach; ?>
                    </div>
                    <?php
                endif; ?>
            </div>
        </section>
        <!-- Services Benefits Section End -->
    <?php
    endif;
endif;
?>

<?php 
$home_testm  = get_field("home_testimonials");

$testn_posts_show = 6;
$page = 1;  

$args = array(
    "post_type"     =>"testimonials",
    "post_status"   =>"publish",
    "posts_per_page"=> $testn_posts_show,
    "paged"         => $page
);
$testm_posts_query = new WP_Query($args);
$published_posts = $testm_posts_query->found_posts; 
$total_pages = ceil($published_posts / $testn_posts_show); 

if(!empty($home_testm) && $testm_posts_query->have_posts()):
    $hm_testm_title = (!empty($home_testm['home_testm_title'])) ? $home_testm['home_testm_title'] : "";
    $hm_testm_btn_txt = (!empty($home_testm['home_testm_btn_text'])) ? $home_testm['home_testm_btn_text'] : "";
    $hm_testm_cnt = (!empty($home_testm['home_testm_content'])) ? $home_testm['home_testm_content'] : "";
    if(!empty($hm_testm_title) || !empty($hm_testm_btn_txt) || !empty($hm_testm_cnt) && $testm_posts_query->have_posts()): ?>
        <!-- Testimonials Section Start -->
        <section class="testimonials-sec pt-120 pb-110">
            <div class="container">
                <?php 
                if(!empty($hm_testm_title) || !empty($hm_testm_cnt)): ?>
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="common-sec-title text-center wow fadeup-animation">
                                <?php 
                                if(!empty($hm_testm_title)): ?>
                                    <h2 class="h2-title"><?php echo wp_kses_post($hm_testm_title); ?></h2>
                                <?php
                                endif; 
                                if(!empty($hm_testm_cnt)): ?>
                                    <div class="body-lg">
                                        <?php echo wp_kses_post($hm_testm_cnt); ?>
                                    </div>
                                    <?php
                                endif; ?>
                            </div>
                        </div>
                    </div>
                    <?php
                endif; 
                if($testm_posts_query->have_posts()): 
                    ?>
                    <div class="testimonials-slider-wp">
                        <!-- Appended here data from ajax -->
                        <div class="testmslider-mob testimonials-slider for-mob wow fadeup-animation" data-wow-delay="0.2s">
                            
                        </div>
                        <div class="testimonials-slider for-des ajax-testm-wp wow fadeup-animation" data-wow-delay="0.2s">
                            <?php 
                            while($testm_posts_query->have_posts()): $testm_posts_query->the_post();
                                $star_rating        = get_field("add_rating") ? get_field("add_rating") : "";
                                $review_rating_per  = ($star_rating) ? $star_rating * 20 : ""; 
                                ?>
                                <div class="testimonials-box-wp">
                                    <div class="testimonials-box">
                                        <?php  
                                        if(!empty($review_rating_per)):?>
                                            <div class="review-star">
                                                <div class="star-rating-wp">
                                                    <div class="star-rating">
                                                        <span class="star-rating__fill" style="width: <?php echo esc_html($review_rating_per); ?>%"></span>
                                                    </div>
                                                </div>
                                            </div>
                                            <?php
                                        endif;
                                        if(!empty(get_the_content())):?>
                                            <div class="testimonials-text body-lg" data-simplebar="init">
                                                <?php the_content(); ?>
                                            </div>
                                            <?php
                                        endif;
                                        if(!empty(get_the_title())):?>
                                            <div class="testimonial-author">
                                                <p><?php the_title(); ?></p>
                                            </div>
                                            <?php
                                        endif;
                                        ?>
                                    </div>
                                </div>
                                <?php
                            endwhile;
                            wp_reset_postdata();
                            ?>
                        </div>
                        <?php 
                        if(!empty($hm_testm_btn_txt) && $total_pages > 1 && $testm_posts_query->have_posts()) : ?>
                            <div class="testimonials-slider-btn wow fadeup-animation" data-wow-delay="0.4s">
                                <div class="load-more-btn">
                                    <button data-tpage="1" data-tposts-show="<?php echo $testn_posts_show; ?>" data-ttotal-pages="<?php echo $total_pages; ?>" class="sec-btn outline-btn testm-load-btn" title="<?php echo esc_attr($hm_testm_btn_txt); ?>"><?php echo esc_html($hm_testm_btn_txt); ?></button>
                                    <i class="fas fa-spinner fa-spin" style="display: none;"></i>
                                </div>
                            </div>
                            <?php
                        endif; ?>
                    </div>
                    <?php
                endif;?>
            </div>
        </section>
        <!-- Testimonials Section End -->
        <?php
    endif;
endif; ?>

<?php 
$home_gallery  = get_field("home_gallery");
if(!empty($home_gallery)):
    $hm_gal_title = (!empty($home_gallery['home_gallery_title'])) ? $home_gallery['home_gallery_title'] : "";
    $hm_gal_cnt = (!empty($home_gallery['home_gallery_content'])) ? $home_gallery['home_gallery_content'] : "";
    $hm_gal_images = (!empty($home_gallery['home_gallery_images'])) ? $home_gallery['home_gallery_images'] : [];
    $no_of_images_arr = (!empty($home_gallery['number_of_images_on_home_page'])) ? $home_gallery['number_of_images_on_home_page'] : 12;
    $filtered_images = array_slice($hm_gal_images, 0, $no_of_images_arr);
    if(!empty($hm_gal_title) || !empty($hm_gal_cnt) || !empty($filtered_images)): ?>
        <!-- Gallery Section Start -->
        <section class="gallery-sec pb-120">
            <div class="container">
                <?php 
                if(!empty($hm_gal_title) || !empty($hm_gal_cnt)): ?>
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="common-sec-title wow fadeup-animation">
                                <?php 
                                if(!empty($hm_gal_title)):?>
                                    <h2 class="h2-title"><?php echo esc_html($hm_gal_title); ?></h2>
                                    <?php
                                endif;
                                if(!empty($hm_gal_cnt)):?>
                                    <div class="body-lg">
                                        <?php echo wp_kses_post($hm_gal_cnt); ?>
                                    </div>
                                    <?php
                                endif;
                                ?>
                            </div>
                        </div>
                    </div>
                <?php 
                endif;
                if(!empty($filtered_images)): ?>
                    <div class="row gallery-slider wow fadeup-animation" data-wow-delay="0.2s">
                        <?php 
                        $gal_index = 1;
                        foreach($filtered_images as $image):?>
                            <div class="col-lg-3">
                                <div class="gallery-image">
                                    <a href="<?php echo esc_url($image); ?>" title="<?php echo esc_attr("Gallery Image ".$gal_index); ?>" data-fancybox="gallery-image">
                                        <div class="back-img" data-no-lazy="1" style="background-image: url('<?php echo esc_url($image); ?>');"></div>
                                    </a>
                                </div>
                            </div>
                            <?php
                            $gal_index++;
                        endforeach;
                        ?>
                    </div>
                <?php
                endif; ?>
            </div>
        </section>
        <!-- Gallery Section End -->
        <?php
    endif;
endif;?>

<?php 
$home_faqs  = get_field("home_faqs");
if(!empty($home_faqs)):
    $hm_fq_title = (!empty($home_faqs['home_faq_title'])) ? $home_faqs['home_faq_title'] : "";
    $hm_fq_cnt = (!empty($home_faqs['home_faq_content'])) ? $home_faqs['home_faq_content'] : "";
    $hm_fq_details = (!empty($home_faqs['home_faq_details'])) ? $home_faqs['home_faq_details'] : [];
    if(!empty($hm_fq_title) || !empty($hm_fq_cnt) || !empty($hm_fq_details)): ?>
        <!-- FAQ Section Start -->
        <section class="faq-sec pb-120">
            <div class="container">
                <div class="row">
                    <?php 
                    if(!empty($hm_fq_title) || !empty($hm_fq_cnt)): ?>
                        <div class="col-lg-5 wow left-animation">
                            <div class="faq-title-wp">
                                <?php 
                                if(!empty($hm_fq_title)):?>
                                    <div class="sec-title">
                                        <h2 class="h2-title"><?php echo esc_html($hm_fq_title); ?></h2>
                                    </div>
                                    <?php
                                endif;
                                if(!empty($hm_fq_cnt)):?>
                                    <div class="body-lg">
                                        <?php echo wp_kses_post($hm_fq_cnt); ?>
                                    </div>
                                    <?php
                                endif;
                                ?>
                            </div>
                        </div>
                    <?php 
                    endif;
                    if(!empty($hm_fq_details)): ?>
                        <div class="col-lg-7 wow right-animation">
                            <div class="faq-accordion">
                                <?php 
                                foreach($hm_fq_details as $fq_row):
                                    $que = $fq_row['question'];
                                    $ans = $fq_row['answer']; 
                                    if(!empty($que) || !empty($ans)): ?>
                                        <div class="faq-accordion-box">
                                            <?php
                                            if(!empty($que)): ?>
                                                <div class="faq-accordion-title">
                                                    <h5 class="h5-title"><?php echo esc_html($que); ?></h5>
                                                    <span class="faq-icon"></span>
                                                </div>
                                                <?php
                                            endif;
                                            if(!empty($ans)): ?>
                                                <div class="faq-accordion-content">
                                                    <div class="faq-accordion-text">
                                                        <?php echo wp_kses_post($ans); ?>
                                                    </div>
                                                </div>
                                                <?php
                                            endif; ?>
                                        </div>
                                        <?php
                                    endif;
                                endforeach;?>
                            </div>
                        </div>
                        <?php
                    endif;?>
                </div>
            </div>
        </section>
        <!-- FAQ Section End -->
     <?php
    endif;
endif;?>

<?php get_template_part( 'template-parts/global/content', 'cta' ); ?>