<?php 
$front_pageID = get_option('page_on_front');
$home_banner    = get_field("home_banner", $front_pageID);
$primary_phone_number_prefix    = get_field("primary_phone_number_prefix","option");
$pr_phone_number    = get_field("pr_phone_number","option");
$header_button_text = get_field("header_button_text","option");
$header_button_link = (get_field("header_button_link","option")) ? get_field("header_button_link","option") : "#";
$contact_form_label = get_field("contact_form_label","option");
$seo_contact_form   = get_field("seo_contact_form","option");
$seo_banner_image = get_field("seo_banner_image","option");

if(!empty($home_banner)): 
    $home_banner_title  = (!empty($home_banner['home_banner_title'])) ? $home_banner['home_banner_title'] : "";
    $home_banner_content  = (!empty($home_banner['home_banner_content'])) ? $home_banner['home_banner_content'] : "";
    if(!empty($primary_phone_number_prefix) || !empty($pr_phone_number) || !empty($header_button_text) || !empty($home_banner_title) || !empty($home_banner_content) || !empty($seo_banner_image) || !empty($contact_form_label) || !empty($seo_contact_form)): ?>
        <!-- Banner Start -->
        <section class="seo-banner back-img" <?php echo ($seo_banner_image) ? "style='background-image: url(".esc_url($seo_banner_image).");'" : ""; ?>>
            <div class="container">
                <div class="row align-items-center">
                    <div class="col-lg-6 wow left-animation">
                        <div class="banner-content">
                            <?php 
                            if(!empty($home_banner_title)):?>
                                <div class="white-text">
                                    <h2 class="h1-title"><?php echo esc_html($home_banner_title); ?></h2>
                                </div>
                                <?php
                            endif; 
                            if(!empty($home_banner_content)):?>
                                <div class="body-lg">
                                    <?php echo wp_kses_post($home_banner_content); ?>
                                </div>
                                <?php
                            endif; ?>
                            <div class="banner-btn">
                                <?php 
                                if(!empty($primary_phone_number_prefix) && !empty($pr_phone_number)): ?>
                                    <a href="<?php echo esc_attr($pr_phone_number['url']); ?>" title="<?php echo esc_html($primary_phone_number_prefix." ".$pr_phone_number['title']); ?>" class="sec-btn white-btn"><?php echo esc_html($primary_phone_number_prefix); ?>&nbsp;<span class="callus"><?php echo esc_html($pr_phone_number['title']); ?></span></a>
                                    <?php
                                endif; 
                                if(!empty($header_button_text)): ?>
                                    <button data-bs-target="#get-an-estimate" data-bs-toggle="modal" class="sec-btn white-outline-btn" title="<?php echo esc_attr($header_button_text); ?>"><?php echo esc_html($header_button_text); ?></button>
                                    <?php
                                endif; 
                                ?>
                            </div>
                        </div>
                    </div>
                    <?php 
                    if(!empty($seo_contact_form)): ?>
                        <div class="col-lg-6 wow right-animation">
                            <div class="seo-contact-form">
                                <?php
                                if(!empty($contact_form_label)):?>
                                    <div class="contact-form-title">
                                        <h3 class="h3-title"><?php echo esc_html($contact_form_label); ?></h3>
                                    </div>
                                    <?php
                                endif; ?>
                                <div class="contact-form">
                                    <?php
                                    echo do_shortcode('[contact-form-7 id="'.$seo_contact_form->ID.'" title="'.$seo_contact_form->post_title.'"]');
                                    ?>
                                </div>
                            </div>
                        </div>
                        <?php
                    endif;?>
                </div>
            </div>
        </section>
        <!-- Banner End -->
        <?php
    endif;
endif;

//SEO Content
$seo_page_button_text   = (get_field("seo_page_button_text", 'option'))  ? get_field("seo_page_button_text", 'option') : "Learn More";
?>
<!-- SEO Content Start -->
<section class="main-seo-content">
    <div class="container">
        <div class="row">
            <div class="col-lg-12 wow fadeup-animation">
                <h1 class="h2-title"><?php the_title(); ?></h1>
            </div>
        </div>
        <?php
        if (!empty(get_the_content())) { ?>
            <div class="row">
                <div class="col-lg-12">
                    <div class="excerpt-content wow fadeup-animation" data-wow-delay="0.2s">
                        <?php the_content(); ?>
                    </div>
                    <?php
                    if (!empty($seo_page_button_text)) { ?>
                        <div class="submit-btn wow fadeup-animation" data-wow-delay="0.4s">
                            <input type="button" title="<?php echo esc_attr($seo_page_button_text); ?>" id="read-more" class="sec-btn outline-btn" value="<?php echo esc_attr($seo_page_button_text); ?>">
                        </div>
                    <?php
                    } ?>
                </div>
            </div>
        <?php
        } ?>
    </div>
</section>
<!-- SEO Content End -->