
<?php
$common_details = get_field('common_details');
if ($common_details):
    $main_title = $common_details['service_title'];
    $main_containt = $common_details['service_content'];
    ?>
<section class="main-service-sec py-120">
    <div class="container">
        <?php if ($main_title || $main_containt): ?>
        <div class="row">
            <div class="col-lg-12">
                <div class="common-sec-title text-center wow fadeup-animation">
                    <?php if ($main_title): ?>
                    <h2 class="h1-title"><?php esc_html_e($main_title); ?></h2>
                    <?php endif; ?>
                    <?php if ($main_containt): ?>
                    <div class="body-lg">
                        <?php echo wp_kses_post($main_containt); ?>
                    </div>
                    <?php endif; ?>
                </div>
            </div>
        </div>
        <?php endif;
            if ($common_details['common_services']):
                ?>
        <div class="services-wp">
            <?php
                    $cm_service = $common_details['common_services'];
                    $id = get_the_ID();
                    if ($id === 9):
                        $i = 2;
                    else:
                        $i = 1;
                    endif;
                    foreach ($cm_service as $service):
                        $title = $service['service_title'];
                        $content = $service['service_content'];
                        $img = $service['service_image'];
                        $btn_title = $service['button_title'];
                        $btn_url = $service['button_url'];
                        $logo = $service['service_image_logo'];
                        if ($service):
                            ?>
            <?php if ($i % 2 == 0): ?>
            <div class="services-sec-row even">
                <div class="row align-items-center">
                    <?php if ($img): ?>
                    <div class="col-lg-6 order-2 order-lg-1 wow left-animation">
                        <div class="common-image-box">
                            <div class="back-img" style="background-image: url('<?php echo esc_url($img['url']); ?>');">
                            </div>
                            <?php if(!empty($logo)):?>
                            <span class="icon-wrap">
                                <img src="<?php echo esc_url($logo['url']); ?>"
                                    alt="<?php echo esc_html($img['alt']); ?>" width="73" height="65">
                            </span>
                            <?php endif; ?>
                        </div>
                    </div>
                    <?php endif; ?>
                    <div class="col-lg-6 order-1 order-lg-2 wow right-animation">
                        <div class="common-content-box">
                            <?php if (!empty($title)): ?>
                            <div class="sec-title">
                                <h2 class="h2-title"><?php esc_html_e($title); ?></h2>
                            </div>
                            <?php endif; ?>
                            <?php if (!empty($content)): ?>
                            <div class="common-content-description-text">
                                <?php echo wp_kses_post($content); ?>
                            </div>
                            <?php endif; ?>
                            <?php if (!empty($btn_url)): ?>
                            <div class="common-content-btn">
                                <a href="<?php echo esc_url($btn_url); ?>" class="sec-btn outline-btn"
                                    title="<?php echo esc_attr(ucfirst($btn_title) . ', ' . ucfirst($title)); ?>">
                                    <?php echo esc_html(ucfirst($btn_title)); ?>
                                </a>
                            </div>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>
            <?php else: ?>
            <div class="services-sec-row">
                <div class="row align-items-center">
                    <div class="col-lg-6 wow left-animation">
                        <div class="common-content-box">
                            <?php if (!empty($title)): ?>
                            <div class="sec-title">
                                <h2 class="h2-title"><?php esc_html_e($title); ?></h2>
                            </div>
                            <?php endif; ?>
                            <?php if (!empty($content)): ?>
                            <div class="common-content-description-text">
                                <?php echo wp_kses_post($content); ?>
                            </div>
                            <?php endif; ?>
                            <?php if (!empty($btn_url)): ?>
                            <div class="common-content-btn">
                                <a href="<?php echo esc_url($btn_url); ?>" class="sec-btn outline-btn"
                                    title="<?php echo esc_attr(ucfirst($btn_title) . ', ' . ucfirst($title)); ?>">
                                    <?php echo esc_html(ucfirst($btn_title)); ?>
                                </a>
                            </div>
                            <?php endif; ?>
                        </div>
                    </div>
                    <?php if ($img): ?>
                    <div class="col-lg-6 wow right-animation">
                        <div class="common-image-box">
                            <div class="back-img" style="background-image: url('<?php echo esc_url($img['url']); ?>');">
                            </div>
                            <?php if(!empty($logo)):?>
                            <span class="icon-wrap">
                                <img src="<?php echo esc_url($logo['url']); ?>"
                                    alt="<?php echo esc_html($img['alt']); ?>" width="73" height="65">
                            </span>
                            <?php endif; ?>
                        </div>
                    </div>
                    <?php endif; ?>
                </div>
            </div>
            <?php endif; ?>
            <?php
                        endif;
                        $i++;
                    endforeach;
                    ?>
        </div>
        <?php endif; ?>
    </div>
</section>
<?php endif; ?>